<?php
$_host = $_SERVER['HTTP_HOST'] ? $_SERVER['HTTP_HOST'] : $_SERVER['SERVER_NAME'];
$__mail = explode ("@", $_SERVER['SERVER_ADMIN']);
$_mail['u'] = $__mail[0];
$_mail['h'] = $__mail[1];
$_status = $_SERVER['REDIRECT_STATUS'];

switch ( $_status ) :
  case '400' :
    $emsg = "Bad Request";
    $kmsg = "Server가 이해할 수 없는 요청입니다";
    break;
  case '401' :
    $emsg = "Unauthorized";
    $kmsg = "인증에 실패 했습니다. ID 와 Password 를 다시 한번 확인하여\n".
            "주시고 다시 인증을 시도해 주십시요";
    break;
  case '403' :
    $emsg = "Forbidden";
    $kmsg = "해당 Page 관리자에 의하여 요청이 거부 되었습니다";
    break;
  case '404' :
    $emsg = "File Not Found";
    $kmsg = "요청하신 문서가 현재 디렉토리에 존재하지 않습니다.";
    break;
  case '405' :
    $emsg = "Don't permit method";
    $kmsg = "Request Line에 지정된 method 가 적절하지 않습니다. 요청하고\n".
            "있는 리소스에 대해 적절한 MIME 형식이 설치 되어 있는지\n".
            "확인하십시오.\n\n".
            "문제가 해결되지 않으면, 서버 관리자에게 문의하십시오.";
    break;
  case '408' :
    $emsg = "Request time out";
    $kmsg = "지정된 시간 내에 수행을 완료".
            "하지 못하여 연결 종료합니다.";
    break;
  case '410' :
    $emsg = "Resource is no longer available!";
    $kmsg = "요청된 URL은 더이상 서버상에 존재하지 않습니다.";
    break;
  case '411' :
    $emsg = "Bad Content-Length";
    $kmsg = "요청된 Method 는 Content-Length 헤더와 함께 요청 되어야 합니다.";
    break;
  case '412' :
    $emsg = "Precondition failed";
    $kmsg = "요청의 선행 조건이 맞지 않습니다.";
    break;
  case '413' :
    $emsg = "Request entity too large";
    $kmsg = "요청한 data 볼륨이 가능한 제한을 넘었습니다.";
    break;
  case '414' :
    $emsg = "Submitted URI too large";
    $kmsg = "요정된  URL 의 길이가 서버의 제한을 넘었습니다.";
    break;
  case '415' :
  case '503' :
    $emsg = "Service unavailable";
    $kmsg = "요청된 작업을 수행할 수 없습니다. 다시 시도해 주십시오";
    break;
  case '500' :
    $emsg = "Internal Server Error";
    $kmsg = "서버에서 요청 하신 질의에 대해 에러를 발생하였습니다.\n" .
            "환경 설정에 이상이 있으니 해당 페이지의 관리자나\n" .
            "서버 관리자에게 문의해 주십시오";
    break;
  case '501' :
    $emsg = "Not Implemented";
    $kmsg = "요청하신  기능이 서버에서 지원하지 않습니다";
    break;
  case '502' :
    $emsg = "Bad Gateway";
    $kmsg = "프락시 서버가 원본 서버로 부터 유효하지 않은 응답을 받았습니다.";
    break;
  case '503' :
    $emsg = "Service Unavailable";
    $kmsg = "요청된 작업을 수행할 수 없습니다. 다시 시도해 주십시오.";
    break;
  case '508' :
    $emsg = "Variant also varies";
    $kmsg = "A variant for the requested entity is itself a negotiable\n".
            "resource. Access not possible.";
    break;
  default : 
    $emsg = "Un supported Format";
    $kmsg = "서버에서 인식할 수 없는 에러가 발생했습니다.\n" .
            "관리자에게 문의해 주십시오.";
endswitch;
?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?=$_status?> <?=$emsg?></title>
<link rev="made" href="mailto:root@localhost" />
<link rel="stylesheet" type="text/css" href="/error/include/error.css" />
<script type="text/javascript" src="/error/include/error.js"></script>
</head>

<body>
<div class="guide">

<table border="0" cellpadding="0" cellspacing="5" class="main">
<tr>
<td width="150" rowspan="3"><img src="/icons/gura.gif" width="150" height="150" border="0" alt="Gura Image" title="I'm Gura who is mascott of AnNyung LInux" /></td>
<td>
<span class="title"><?=$_status?> <?=$emsg?></span>
- <a href="http://<?=$_SERVER['HTTP_HOST']?>">http://<?=$_SERVER['HTTP_HOST']?></a>
</td>
</tr>

<tr>
<td class="dotline"><img src="/error/include/blank.gif" width="1" height="4" border="0" alt="" /></td>
</tr>

<tr>
<td>
<br />
<?=str_replace ("\n", "<br />\n", $kmsg)?>
<br />
<?=$_SERVER['REDIRECT_ERROR_NOTES']?>


<br /><br />
<span class="b">Resource:</span>
<?
$_url="http://{$_host}{$_SERVER['REDIRECT_URL']}";
?>
<a href="<?=$_url?>"><?=$_url?></a>

<br /><br />
</td>
</tr>

<tr>
<td colspan="2" class="dotline"><img src="/error/include/blank.gif" width="1" height="4" border="0" alt="" /></td>
</tr>

<tr>
<td colspan="2" align="right">
<a href="javascript:history.back();" title="Back to previous page">Back</a> |
Mail to <a href="javascript:sendto('<?=$_mail['u']?>','<?=$_mail['h']?>','');">ADMIN</a>
</td>
</tr>
</table>

</div>

</body>
</html>
